org.red5.server.jmx.mxbeans

## Interface CoreHandlerMXBean

All Known Implementing Classes:
  CoreHandler

    @MXBean
    public interface CoreHandlerMXBean

Base IScopeHandler implementation

Author:
  The Red5 Project (red5@osflash.org)

### Method Summary

Methods
`boolean` `connect(IConnection conn, IScope scope)`
`boolean` `connect(IConnection conn, IScope scope, Object[] params)`
`void` `disconnect(IConnection conn, IScope scope)`
`boolean` `handleEvent(IEvent event)`
`boolean` `join(IClient client, IScope scope)`
`void` `leave(IClient client, IScope scope)`
`void` `removeChildScope(IBasicScope scope)`
`boolean` `serviceCall(IConnection conn, IServiceCall call)`
`boolean` `start(IScope scope)`
`void` `stop(IScope scope)`

### Method Detail

#### connect

    boolean connect(IConnection conn,
                  IScope scope)

#### connect

    boolean connect(IConnection conn,
                  IScope scope,
                  Object[] params)

#### disconnect

    void disconnect(IConnection conn,
                  IScope scope)

#### join

    boolean join(IClient client,
               IScope scope)

#### leave

    void leave(IClient client,
             IScope scope)

#### removeChildScope

    void removeChildScope(IBasicScope scope)

#### serviceCall

    boolean serviceCall(IConnection conn,
                      IServiceCall call)

#### start

    boolean start(IScope scope)

#### stop

    void stop(IScope scope)

#### handleEvent

    boolean handleEvent(IEvent event)